Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512397 - [abrt] reaver: parse_wps_tag(): reaver killed by SIGSEGV
Summary: [abrt] reaver: parse_wps_tag(): reaver killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: reaver
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Wilson Harshaw IV
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e1eaf788cc11f8b00fa215acf06...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 06:21 UTC by Alex Smirnoff
Modified: 2018-05-29 11:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:38:52 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: cgroup (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: core_backtrace (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: cpuinfo (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: dso_list (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: environ (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: exploitable (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: limits (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: maps (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: open_fds (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: proc_pid_status (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details
File: var_log_messages (deleted)
2017-11-13 06:21 UTC, Alex Smirnoff
no flags Details

Description Alex Smirnoff 2017-11-13 06:21:23 UTC
Description of problem:
The systems is c2d, might be related to compile options. the crash is fairly reproduceable.

Version-Release number of selected component:
reaver-1.4-5.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        reaver -i wlp0s26f7u3mon -c 11 -b F8:D1:11:AE:B1:2E -vv
crash_function: parse_wps_tag
executable:     /usr/bin/reaver
journald_cursor: s=3cd7eaff5c1b416fb83c9c2b36bcaaf8;i=35ec0;b=645358accecf4f07bf1ca1cd8334c0d3;m=2fbdf3b6f8;t=55dd095862ac5;x=525622ad3f81df8b
kernel:         4.13.10-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 parse_wps_tag at libwps.c:106
 #1 parse_wps_parameters at libwps.c:47
 #2 is_wps_locked at 80211.c:205
 #3 crack at cracker.c:141

Comment 1 Alex Smirnoff 2017-11-13 06:21:29 UTC
Created attachment 1351411 [details]
File: backtrace

Comment 2 Alex Smirnoff 2017-11-13 06:21:30 UTC
Created attachment 1351412 [details]
File: cgroup

Comment 3 Alex Smirnoff 2017-11-13 06:21:32 UTC
Created attachment 1351413 [details]
File: core_backtrace

Comment 4 Alex Smirnoff 2017-11-13 06:21:33 UTC
Created attachment 1351415 [details]
File: cpuinfo

Comment 5 Alex Smirnoff 2017-11-13 06:21:35 UTC
Created attachment 1351416 [details]
File: dso_list

Comment 6 Alex Smirnoff 2017-11-13 06:21:37 UTC
Created attachment 1351417 [details]
File: environ

Comment 7 Alex Smirnoff 2017-11-13 06:21:38 UTC
Created attachment 1351418 [details]
File: exploitable

Comment 8 Alex Smirnoff 2017-11-13 06:21:40 UTC
Created attachment 1351419 [details]
File: limits

Comment 9 Alex Smirnoff 2017-11-13 06:21:41 UTC
Created attachment 1351420 [details]
File: maps

Comment 10 Alex Smirnoff 2017-11-13 06:21:43 UTC
Created attachment 1351421 [details]
File: open_fds

Comment 11 Alex Smirnoff 2017-11-13 06:21:44 UTC
Created attachment 1351422 [details]
File: proc_pid_status

Comment 12 Alex Smirnoff 2017-11-13 06:21:46 UTC
Created attachment 1351423 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 08:12:05 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:38:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.